### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Slovakia Class Reference
Calendars

Slovak calendars. More...

`#include <ql/time/calendars/slovakia.hpp>`

Inheritance diagram for Slovakia:
[legend]

List of all members.

## Public Types

enum | Market { BSSE }

## Public Member Functions

| Slovakia (Market m=BSSE)

## Detailed Description

Slovak calendars.

Holidays for the Bratislava stock exchange (data from <http://www.bsse.sk/>):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Epiphany, January 6th
- Good Friday
- Easter Monday
- May Day, May 1st
- Liberation of the Republic, May 8th
- SS. Cyril and Methodius, July 5th
- Slovak National Uprising, August 29th
- Constitution of the Slovak Republic, September 1st
- Our Lady of the Seven Sorrows, September 15th
- All Saints Day, November 1st
- Freedom and Democracy of the Slovak Republic, November 17th
- Christmas Eve, December 24th
- Christmas, December 25th
- St. Stephen, December 26th

## Member Enumeration Documentation

enum Market

Enumerator:

  BSSE | Bratislava stock exchange.